%define	pkgname	libdshconfig
Summary:	Library for parsing dsh-style configuration files
Name:		libdshconfig1
Version:	0.20.10
Release:	5.1
License:	GPL
Group:		Applications/Internet
URL:		http://www.netfort.gr.jp/~dancer/software/downloads/list.cgi
Source:		%{pkgname}-%{version}.cvs.1.tar.bz2
BuildRoot:	/var/tmp/%{name}-buildroot
BuildRequires:  glibc-devel libgcc gcc gcc-c++
Obsoletes:	%{pkgname}
Provides:	%{pkgname}

%package -n %{pkgname}-devel
Summary: Library for parsing dsh-style configuration files.
Requires: libdshconfig = %{version}-%{release}
Group: Applications/Internet

%description
Library for parsing dsh-style configuration files.
Required by dsh and other applications.

%description -n %{pkgname}-devel
Library for parsing dsh-style configuration files.
Required by dsh and other applications.

%prep
%setup -q -n %{pkgname}-%{version}.cvs.1

%build
%configure
%__make

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
rm -rf "$RPM_BUILD_ROOT"
%__make DESTDIR="$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%attr(0755,root,root) %{_libdir}/libdshconfig.so.1.0.0
%attr(0755,root,root) %{_libdir}/libdshconfig.so.1

%files -n %{pkgname}-devel
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/libdshconfig.a
%attr(0755,root,root) %{_libdir}/libdshconfig.la
%attr(0755,root,root) %{_libdir}/libdshconfig.so
%attr(0644,root,root) %{_includedir}/libdshconfig.h

%changelog
* Sat Mar 28 2009 Carsten Schoene <cs@linux-administrator.com> - 0.20.10-2
- change package name (include SONAME)
- run ldconfig after (un)install

* Mon Jun 25 2007 Carsten Schoene <cs@linux-administrator.com>
- ported this spec file to openSUSE buildservice

* Mon May 10 2004 Erik Wasser <ew@iquer.net>
- Initial spec-file
- Please don't hurt me.

